| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ob::VideoStreamProfile Class Reference

Class representing a video stream profile. More...

`#include <StreamProfile.hpp>`

Inheritance diagram for ob::VideoStreamProfile:

## Public Member Functions
| VideoStreamProfile (StreamProfile &profile)
| VideoStreamProfile (std::unique_ptr< StreamProfileImpl > impl)
| ~VideoStreamProfile () noexcept override
uint32_t | fps () const
| Return the frame rate of the stream.
uint32_t | width () const
| Return the width of the stream.
uint32_t | height () const
| Return the height of the stream.
OBCameraIntrinsic | getIntrinsic ()
| Get the intrinsic parameters of the stream.
OBCameraDistortion | getDistortion ()
| Get the distortion parameters of the stream.
Public Member Functions inherited from ob::StreamProfile
| StreamProfile (std::unique_ptr< StreamProfileImpl > impl)
| StreamProfile (StreamProfile &streamProfile)
virtual | ~StreamProfile () noexcept
OBFormat | format () const
| Get the format of the stream.
OBStreamType | type () const
| Get the type of stream.
OBExtrinsic | getExtrinsicTo (std::shared_ptr< StreamProfile > target)
| Get the extrinsic parameters from current stream profile to the given target stream profile.
template<typename T >
bool | is ()
| Check if frame object is compatible with the given type.
template<typename T >
std::shared_ptr< T > | as ()
| Converts object type to target type.

## Additional Inherited Members
Protected Attributes inherited from ob::StreamProfile
std::unique_ptr< StreamProfileImpl > | impl_

## Detailed Description

Class representing a video stream profile.

Definition at line 82 of file StreamProfile.hpp.

## Constructor & Destructor Documentation

## ◆ VideoStreamProfile() [1/2]

ob::VideoStreamProfile::VideoStreamProfile | ( | StreamProfile & | profile | ) |
| explicit

## ◆ VideoStreamProfile() [2/2]

ob::VideoStreamProfile::VideoStreamProfile | ( | std::unique_ptr< StreamProfileImpl > | impl | ) |
| explicit

## ◆ ~VideoStreamProfile()

ob::VideoStreamProfile::~VideoStreamProfile | ( |  | ) |
| override noexcept

## Member Function Documentation

## ◆ fps()

uint32_t ob::VideoStreamProfile::fps | ( |  | ) | const

Return the frame rate of the stream.

Returns
  uint32_t Return the frame rate of the stream.

## ◆ width()

uint32_t ob::VideoStreamProfile::width | ( |  | ) | const

Return the width of the stream.

Returns
  uint32_t Return the width of the stream.

## ◆ height()

uint32_t ob::VideoStreamProfile::height | ( |  | ) | const

Return the height of the stream.

Returns
  uint32_t Return the height of the stream.

## ◆ getIntrinsic()

OBCameraIntrinsic ob::VideoStreamProfile::getIntrinsic | ( |  | ) |

Get the intrinsic parameters of the stream.

Returns
  OBCameraIntrinsic Return the intrinsic parameters.

## ◆ getDistortion()

OBCameraDistortion ob::VideoStreamProfile::getDistortion | ( |  | ) |

Get the distortion parameters of the stream.

Brown distortion model

Returns
  OBCameraDistortion Return the distortion parameters.

The documentation for this class was generated from the following file:

- E:/Projects/Jenkins/workspace/OrbbecSDK/libobsensor/include/libobsensor/hpp/StreamProfile.hpp